package de.intevation.gnv.timeseries.gap;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultTimeGap implements TimeGap{

    /**
     * The UNIT of the TimeGap
     * See the Constants in de.intevation.gnv.timeseries.gap.TimeGap
     */
    private String unit;

    /**
     * The Key of the TimeGap which must be equivalent to the
     * Key used in the DWH
     */
    private int key;

    /**
     * The Value of the Gap.
     * Use the Unit and the Time Constants to Calculate the
     * value in Milliseconds
     */
    private int value;

    /**
     * Constructor
     * @param unit
     * @param key
     * @param value
     */
    public DefaultTimeGap(String unit, int key, int value) {
        super();
        this.unit = unit;
        this.key = key;
        this.value = value;
    }

    /**
     * @see de.intevation.gnv.timeseries.gap.TimeGap#getUnit()
     */
    public String getUnit() {
        return this.unit;
    }

    /**
     * @see de.intevation.gnv.timeseries.gap.TimeGap#getKey()
     */
    public int getKey() {
        return this.key;
    }

    /**
     * @see de.intevation.gnv.timeseries.gap.TimeGap#getValue()
     */
    public int getValue() {
        return this.value;
    }

}
